Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Market Trade

Query the latest trade data

Request URL

GET https://cloud-api.wooxpro.com/contract/public/market-trade

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl https://cloud-api.wooxpro.com/contract/public/market-trade?symbol=BTCUSDT&limit=100
FieldTypeRequired?Description
symbolStringYesSymbol of the contract(like BTCUSDT)
limitLongNoCount(Default 50; max 100;)

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": [
    {
      "symbol": "BTCUSDT",
      "price": "104146.5",
      "qty": "0.037",
      "quote_qty": "3853.4205",
      "time": 1750347973,
      "is_buyer_maker": true
    },
    {
      "symbol": "BTCUSDT",
      "price": "104146.6",
      "qty": "0.023",
      "quote_qty": "2395.3718",
      "time": 1750347972,
      "is_buyer_maker": true
    }
  ],
  "trace": "26f999a04cfa11f09ce9d6002fd59247.4375416.39621015744567440"
}
FieldTypeDescription
symbolStringSymbol
priceStringTrade price
qtyStringTrade value - coin
quote_qtyStringTrade value - USDT
timeLongMarket trade time stamp
is_buyer_makerBoolTrue if Buyer of the trade is maker